<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="cn.iocoder.yudao.module.knowledge.mapper.TFileInfoMapper">


    <select id="selectByPlanId" resultType="cn.iocoder.yudao.module.knowledge.entity.TFileInfo">
        SELECT
            id AS id,
            `code` AS `code`,
            file_url AS fileUrl,
            file_size AS fileSize,
            file_lenght AS fileLenght,
            original_name AS originalName,
            cur_name AS curName,
            `order` AS `order`,
            creator AS creator,
            creator_id AS creatorId,
            create_time AS createTime,
            update_time AS updateTime
        FROM
            `t_fileinfo`
        WHERE
            bind_id = #{id}
          AND deleted = 0
    </select>



</mapper>
